Bug 2075589 - SELinux is preventing systemd-gpt-aut from 'create' accesses on the netlink_kobject_uevent_socket labeled systemd_gpt_generator_t.
Summary: SELinux is preventing systemd-gpt-aut from 'create' accesses on the netlink_k...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 35
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f0d3eb9529d4debf2853836ef5e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-14 16:11 UTC by Raman Gupta
Modified: 2022-06-23 03:14 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-35.18-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-23 03:14:04 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github fedora-selinux selinux-policy pull 1152 0 None open Allow systemd-gpt-auto-generator create and use netlink_kobject_ueven… 2022-04-14 16:39:02 UTC

Description Raman Gupta 2022-04-14 16:11:32 UTC
Description of problem:
SELinux is preventing systemd-gpt-aut from 'create' accesses on the netlink_kobject_uevent_socket labeled systemd_gpt_generator_t.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd-gpt-aut should be allowed create access on netlink_kobject_uevent_socket labeled systemd_gpt_generator_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'systemd-gpt-aut' --raw | audit2allow -M my-systemdgptaut
# semodule -X 300 -i my-systemdgptaut.pp

Additional Information:
Source Context                system_u:system_r:systemd_gpt_generator_t:s0
Target Context                system_u:system_r:systemd_gpt_generator_t:s0
Target Objects                Unknown [ netlink_kobject_uevent_socket ]
Source                        systemd-gpt-aut
Source Path                   systemd-gpt-aut
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
SELinux Policy RPM            selinux-policy-targeted-35.16-1.fc35.noarch
Local Policy RPM              selinux-policy-targeted-35.16-1.fc35.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.16.19-200.fc35.x86_64 #1 SMP
                              PREEMPT Fri Apr 8 15:34:44 UTC 2022 x86_64 x86_64
Alert Count                   1
First Seen                    2022-04-14 11:56:05 EDT
Last Seen                     2022-04-14 11:56:05 EDT
Local ID                      8b913a46-bcc9-4f98-87ce-c9ecb2ec1a4b

Raw Audit Messages
type=AVC msg=audit(1649951765.765:599): avc:  denied  { create } for  pid=35143 comm="systemd-gpt-aut" scontext=system_u:system_r:systemd_gpt_generator_t:s0 tcontext=system_u:system_r:systemd_gpt_generator_t:s0 tclass=netlink_kobject_uevent_socket permissive=0


Hash: systemd-gpt-aut,systemd_gpt_generator_t,systemd_gpt_generator_t,netlink_kobject_uevent_socket,create

Version-Release number of selected component:
selinux-policy-targeted-35.16-1.fc35.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.15.2
hashmarkername: setroubleshoot
kernel:         5.16.19-200.fc35.x86_64
type:           libreport

Comment 1 Fedora Update System 2022-06-07 09:25:39 UTC
FEDORA-2022-9e53cb5027 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9e53cb5027

Comment 2 Fedora Update System 2022-06-08 01:20:28 UTC
FEDORA-2022-9e53cb5027 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-9e53cb5027`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9e53cb5027

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-06-23 03:14:04 UTC
FEDORA-2022-9e53cb5027 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.